package com.ssj.service.kmt.dto;

import java.io.Serializable;
import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年12月5日 下午2:21:00 
 * 类说明 
 */
public class MathExampaperData implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String[] year={"2018","2017","2016","2015","2014","2013"};
	private String[] semester={"上学期","下学期"};
	private String[] type={"期末","单元"};
	private String yearName;
	private String semesterName;
	private String typeName;
	private String areaName;
	
	private String title;
	private List<String> area ;
	private int stat;
	
	private String exampaperName;
	private String exampaperId;
	private String exampaperCode;
	private String randNum;
	public MathExampaperData(){};
	public MathExampaperData(String yearName,String semesterName,String typeName,String areaName ,String title ,
			List<String> area,String exampaperName,String exampaperId,int stat,String exampaperCode,String randNum){
		this.yearName =yearName;
		this.semesterName =semesterName;
		this.typeName =typeName;
		this.areaName =areaName;
		this.title =title;
		this.area =area;
		this.exampaperName =exampaperName;
		this.exampaperId =exampaperId;
		this.stat =stat;
		this.exampaperCode =exampaperCode;
		this.randNum =randNum;
	};
	
	public String[] getYear() {
		return year;
	}
	public void setYear(String[] year) {
		this.year = year;
	}
	public String[] getSemester() {
		return semester;
	}
	public void setSemester(String[] semester) {
		this.semester = semester;
	}
	public String[] getType() {
		return type;
	}
	public void setType(String[] type) {
		this.type = type;
	}
	
	
	
	public List<String> getArea() {
		return area;
	}
	public void setArea(List<String> area) {
		this.area = area;
	}
	public int getStat() {
		return stat;
	}
	public void setStat(int stat) {
		this.stat = stat;
	}
	public String getYearName() {
		return yearName;
	}
	public void setYearName(String yearName) {
		this.yearName = yearName;
	}
	public String getSemesterName() {
		return semesterName;
	}
	public void setSemesterName(String semesterName) {
		this.semesterName = semesterName;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public String getExampaperName() {
		return exampaperName;
	}
	public void setExampaperName(String exampaperName) {
		this.exampaperName = exampaperName;
	}
	public String getAreaName() {
		return areaName;
	}
	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getExampaperId() {
		return exampaperId;
	}
	public void setExampaperId(String exampaperId) {
		this.exampaperId = exampaperId;
	}
	public String getExampaperCode() {
		return exampaperCode;
	}
	public void setExampaperCode(String exampaperCode) {
		this.exampaperCode = exampaperCode;
	}
	public String getRandNum() {
		return randNum;
	}
	public void setRandNum(String randNum) {
		this.randNum = randNum;
	}
	
	
	
	
}
